<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/include/SampleApp/UIManager.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a></li><li class="navelem"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">UIManager.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_auth_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/AuthObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_capabilities_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/CapabilitiesObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_dialog_u_x_state_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/DialogUXStateObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_connection_status_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/ConnectionStatusObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_notifications_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/NotificationsObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_single_setting_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/SingleSettingObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_interface_8h_source.html">AVSCommon/SDKInterfaces/SpeakerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_manager_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/SpeakerManagerObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_bluetooth_device_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/Bluetooth/BluetoothDeviceObserverInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_executor_8h_source.html">AVSCommon/Utils/Threading/Executor.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_c_b_l_auth_requester_interface_8h_source.html">CBLAuthDelegate/CBLAuthRequesterInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_device_settings_manager_8h_source.html">Settings/DeviceSettingsManager.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_setting_callbacks_8h_source.html">Settings/SettingCallbacks.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for UIManager.h:</div>
<div class="dyncontent">
<div class="center"><img src="_u_i_manager_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_u_i_manager_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_u_i_manager_8h" id="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_u_i_manager_8h">
<area shape="rect" id="node2" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="542,279,733,317"/>
<area shape="rect" id="node4" href="_capabilities_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesObserverInterface.h" alt="" coords="307,279,518,317"/>
<area shape="rect" id="node5" href="_dialog_u_x_state_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DialogUXStateObserverInterface.h" alt="" coords="555,639,785,677"/>
<area shape="rect" id="node7" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="2486,192,2734,231"/>
<area shape="rect" id="node9" href="_notifications_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/NotificationsObserverInterface.h" alt="" coords="75,105,291,144"/>
<area shape="rect" id="node11" href="_single_setting_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SingleSettingObserverInterface.h" alt="" coords="871,279,1093,317"/>
<area shape="rect" id="node12" href="_speaker_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerInterface.h" alt="" coords="364,192,555,231"/>
<area shape="rect" id="node13" href="_speaker_manager_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerManagerObserverInterface.h" alt="" coords="337,105,582,144"/>
<area shape="rect" id="node14" href="_bluetooth_device_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Bluetooth/BluetoothDeviceObserver\lInterface.h" alt="" coords="1023,365,1260,417"/>
<area shape="rect" id="node16" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1359,372,1554,411"/>
<area shape="rect" id="node28" href="_c_b_l_auth_requester_interface_8h.html" title="CBLAuthDelegate/CBLAuthRequester\lInterface.h" alt="" coords="808,105,1054,144"/>
<area shape="rect" id="node29" href="_device_settings_manager_8h.html" title="Settings/DeviceSettingsManager.h" alt="" coords="1804,199,2029,224"/>
<area shape="rect" id="node49" href="_setting_callbacks_8h.html" title="Settings/SettingCallbacks.h" alt="" coords="3301,112,3484,137"/>
<area shape="rect" id="node10" href="_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_indicator_state_8h.html" title="AVSCommon/AVS/IndicatorState.h" alt="" coords="5,285,233,311"/>
<area shape="rect" id="node26" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="961,465,1155,504"/>
<area shape="rect" id="node30" href="_setting_interface_8h.html" title="Settings/SettingInterface.h" alt="" coords="1929,379,2107,404"/>
<area shape="rect" id="node35" href="_settings_manager_8h.html" title="Settings/SettingsManager.h" alt="" coords="2342,285,2526,311"/>
<area shape="rect" id="node32" href="_guarded_value_8h.html" title="AVSCommon/Utils/GuardedValue.h" alt="" coords="1595,559,1825,584"/>
<area shape="rect" id="node33" href="_set_setting_result_8h.html" title="Settings/SetSettingResult.h" alt="" coords="2162,472,2346,497"/>
<area shape="rect" id="node34" href="_setting_observer_interface_8h.html" title="Settings/SettingObserver\lInterface.h" alt="" coords="3420,465,3589,504"/>
<area shape="rect" id="node37" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="2272,552,2448,591"/>
<area shape="rect" id="node43" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2471,372,2647,411"/>
<area shape="rect" id="node39" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2230,639,2406,677"/>
<area shape="rect" id="node40" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="2710,725,2886,764"/>
<area shape="rect" id="node44" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="2471,465,2647,504"/>
<area shape="rect" id="node45" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="2574,552,2787,591"/>
<area shape="rect" id="node46" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1979,639,2155,677"/>
<area shape="rect" id="node47" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="2001,552,2198,591"/>
<area shape="rect" id="node48" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2960,725,3136,764"/>
<area shape="rect" id="node50" href="_setting_callback_adapter_8h.html" title="SettingCallbackAdapter.h" alt="" coords="3368,199,3539,224"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_u_i_manager_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_u_i_manager_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_u_i_manager_8hdep" id="_2workplace_2avs-device-sdk_2_sample_app_2include_2_sample_app_2_u_i_manager_8hdep">
<area shape="rect" id="node2" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="358,105,581,157"/>
<area shape="rect" id="node9" href="_u_i_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UIManager.cpp" alt="" coords="606,112,841,151"/>
<area shape="rect" id="node3" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="243,205,462,257"/>
<area shape="rect" id="node8" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="485,205,692,257"/>
<area shape="rect" id="node4" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="126,305,345,357"/>
<area shape="rect" id="node7" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="369,305,571,357"/>
<area shape="rect" id="node5" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="5,405,204,444"/>
<area shape="rect" id="node6" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="227,405,507,444"/>
</map>
</div>
</div>
<p><a href="_u_i_manager_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html">alexaClientSDK::sampleApp::UIManager</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1sample_app"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">alexaClientSDK::sampleApp</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
